Subject: Re: bug#43632: Raw bytes printed as latin-1 in echo area and *Messages*

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Sep 2020 13:13:31 +0200

Eli Zaretskii <[email-masked]> writes:

>> In the *scratch* buffer, C-x C-e:
>> 
>> "\377"
>> => "\377"
>> 
>> But the echo area says "\xff".
>> 
>> because I have (setq display-raw-bytes-as-hex t).
>
> So you've explicitly asked for that, no?

I have, so I guess the only confusing thing is that it's still "\377" in
the scratch buffer?

>> (string-to-multibyte "\377")
>> => "\377"
>> 
>> And the echo area says "\377", as expected.
>
> That's unrelated: Emacs behaved the same before my changes.

Yup.  But don't we call these "raw bytes", too?  I was just idly wondering
whether the display of these should also be affected by
`display-raw-bytes-as-hex'...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no